
html {
    scroll-behavior: smooth;
}
.activity-info {
    display: flex;
    flex-direction: column;
    width: 100%;
}
.team-index {
    width: 100%;
    display: flex;
    gap: 40px;
    margin: 0;
}
.index-column {
    flex: 1;
}
.competition {
    flex: 1.5;
}
.team {
    display: grid;
    grid-template-columns: 1fr 350px;
    gap: 40px;
    align-items: start;
    margin-bottom: 60px;
    padding-bottom: 8px;
    padding-left: 25px;
    scroll-margin-top: 150px;
    border-left-width: 3px;
    border-left-style: solid;
    border-image-slice: 1;
}
/* スマホでは1列にする */
@media (max-width: 850px) {
    .team {
        grid-template-columns: 1fr;
    }
    .team .img-area {
        order: -1; /* スマホでは画像を先に表示 */
    }
}
.achievements ul {
    list-style: none;
}
.achievements ul a {
    text-decoration: none;
    color: #1a0dab;
}
.achievements ul a:hover {
    color: #1a0dab85;
}
.team-name {
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 10px;
}
.team-content {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.team .img-area {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.team .img-area img {
    width: 320px;
    height: 200px;
    overflow: hidden;
    object-fit: cover;
    padding: 3px;
    border: 1px solid;
    border-image-source: linear-gradient(to right, #00b7ff, #e02cd1);
    border-image-slice: 1;
}
.no-img {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(235, 235, 235);
    width: 320px;
    height: 200px;
    color: rgb(114, 114, 114); 
}
.division-title {
    font-size: 1.2rem;
    margin-bottom: 15px;
    font-weight: bold;
    padding-left: 10px;
}
.management .division-title {
    color: #000000;
    border-left: 4px solid #44db4b;
}
.competition .division-title {
    color: #000000;
    border-left: 4px solid #ff6456;
}
.team-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 1px 2px;
}
.team-list li a {
    font-size: 12px;
    display: inline-block;
    text-decoration: none;
    margin: 2px 2px;
    padding: 3px 30px;
    color: black;
    background-color: white;
    border: 1px solid rgb(31, 31, 31);
    border-radius: 100px;
    transition: all 0.25s ease-in-out;
}
.team-list li a:hover {
    color: white;
    background-color: rgb(31, 31, 31);
}
#management .team-name, #competition .team-name {
    display: inline-block;
}
#event-team { 
    border-image-source: linear-gradient(to bottom, #00d60b, #64e40f); 
}
#pr-team { 
    border-image-source: linear-gradient(to bottom, #0066ff, #42baff); 
}
#dev-team { 
    border-image-source: linear-gradient(to bottom, #ff6600, #ffa723); 
}
#valo-team { 
    border-image-source: linear-gradient(to bottom, #ff0000, #ff5a5a); 
}
#sf6-team { 
    border-image-source: linear-gradient(to bottom, #003cff, #0072ff); 
}
#ow2-team { 
    border-image-source: linear-gradient(to bottom, #ff9a03, #ffb23f); 
}
#ssbu-team { 
    border-image-source: linear-gradient(to bottom, #000000, #ff0000); 
}
#wb-team { 
    border-image-source: linear-gradient(to bottom, #ae00ff, #00ccff); 
}
#event-team .team-name{ 
    background: linear-gradient(135deg, #00d60b, #64e40f);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#pr-team .team-name{ 
    background: linear-gradient(135deg, #0066ff, #42baff);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#dev-team .team-name{ 
    background: linear-gradient(135deg, #ff6600, #ffa723);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#valo-team .team-name{ 
    background: linear-gradient(135deg, #ff0000, #ff5a5a);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#sf6-team .team-name{ 
    background: linear-gradient(135deg, #003cff, #0072ff);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#ow2-team .team-name{ 
    background: linear-gradient(135deg, #ff9a03, #ffb23f);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#ssbu-team .team-name{ 
    background: linear-gradient(135deg, #000000, #ff0000);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}
#wb-team .team-name{ 
    background: linear-gradient(135deg, #ae00ff, #00ccff);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}